
# CircuitMess Ringo - an educational DIY mobile phone

**This is the main CircuitMess Ringo GitHub repository.**

**Ringo** is an educational mobile phone that you make and code yourself. It comes in parts that have to be assembled and then leaves you with all the time in the world to build on the pre-loaded software.

<img src="https://old.circuitmess.com/wp-content/uploads/Makerphone_crop_523x768-1.png" width="425"/> <img src="https://old.circuitmess.com/wp-content/uploads/DSC05978_1024x683crop-1.jpg" width="425"/>

This is the page where you will find all the neccessary information about how to do your own programming on Ringo using **Arduino** platform.

All the libraries, licenses, schematics and source files are available to check out at anytime. Additional information can be found on the offical [CircuitMess website](https://www.circuitmess.com/).

Ringo is a DIY mobile phone project that was recently successfuly funded on Kickstarter:
https://www.kickstarter.com/projects/albertgajsak/makerphone-an-educational-diy-mobile-phone

<br/>


## Installation

Follow step-by-step [installation guide](https://github.com/CircuitMess/MAKERphone/blob/boardArduino/Installation.md) that helps you install Ringo board package for **Arduino IDE**.

If you are already familliar with Arduino board package installation,  
 here is .json file from wchich you can download the Ringo package:  
https://raw.githubusercontent.com/CircuitMess/MAKERphone/boardArduino/package_CircuitMess_Ringo_index.json

<br/>

## Schematics

<img src="https://old.circuitmess.com/wp-content/uploads/DSC05443_1024x683-1.jpg" width="400"/> <img src="https://old.circuitmess.com/wp-content/uploads/DSC05437_1024x683-1.jpg" width="400"/>

In the **master** branch you'll find subfolder [**schematics**](https://github.com/CircuitMess/MAKERphone/tree/master/schematics) which contains schemes for every part of the Ringo phone.

There are 5 seperate scheme files each representing a different board:

 * [Brain board](https://github.com/CircuitMess/MAKERphone/blob/master/schematics/MAKERphone-Brain-board-schematics.pdf)
 * [Display board](https://github.com/CircuitMess/MAKERphone/blob/master/schematics/MAKERphone-Display-board-schematics.pdf)
 * [Network board](https://github.com/CircuitMess/MAKERphone/blob/master/schematics/MAKERphone-Network-board-schematics-2.pdf)
 * [Sound board](https://github.com/CircuitMess/MAKERphone/blob/master/schematics/MAKERphone-Sound-board-schematics-1.pdf)
 * [Main board](https://github.com/CircuitMess/MAKERphone/blob/master/schematics/MAKERphone-main-board-schematics.pdf)

 <br/>

## Features

We tried to fit CircuitMess Ringo with as many features as possible. Time spend using the phone and programming it's new features surely won't be boring with all of these: 

* A color screen
* Python programming language compatibility
* Scratch programming language compatibility
* Arduino (C/C++) compatibility
* Dedicated DAC and electronic volume controller for sound regulation and .mp3 and .wav playback 
* 8 individually programmable RGB LEDs
* Phone calls and messages
* Wi-Fi, Bluetooth, RTC (real-time clock)
* 2G (SIM800) or 4G (SIM7600) chipset
* SD Memory Card expanded storage


 <br/>

 ## Examples

We are currently working on creating as many examples as possible. Don't worry, you won't have to start from zero!

 <br/>

## Used libraries and copyright notices
[See NOTICE](https://github.com/CircuitMess/MAKERphone/blob/master/NOTICE.md)

 <br/>

## Meta


<img src="https://www.circuitmess.com/wp-content/uploads/CM-Meta-BlackHQ2.png">


**CircuitMess** - https://www.circuitmess.com/ - @circuitmess.com

**Facebook** - https://www.facebook.com/makerbuino/

**Instagram** - https://www.instagram.com/thecircuitmess/

**Twitter** - https://twitter.com/circuitmess 

**YouTube** - https://www.youtube.com/channel/UCVUvt1CeoZpCSnwg3oBMsOQ

Copyright © 2019 CircuitMess

Licensed under [GPL-3.0](https://www.gnu.org/licenses/gpl-3.0.html)




